<template>
    <div></div>
    <!-- <router-link :to="url" target="_blank"></router-link>   -->
</template>

<script>
export default {
    data() {
        return {
            // url: '/new-page' // 目标页面的路径
            jumpUrl: '',
            ENV: process.env.VUE_APP_ENV, // 获取当前运行环境 如是南网开发环境或线上环境 则显示新增公司按钮
        }
    },
    created() {
        const origin = window.location.origin
        this.jumpUrl = origin
        // if (origin == 'http://192.168.0.56:21626') {
        //     this.jumpUrl = origin
        // } else {
        //     this.jumpUrl = 'http://192.168.0.14:18866'
        // }
        this.openNewWindow()
        this.$tab.closePage().then(() => {})
    },
    methods: {
        openNewWindow() {
            if (this.ENV === 'production-nw') {
                window.open(
                    `${
                        this.jumpUrl
                    }/bigScrap/Home/index?token=${localStorage.getItem(
                        'token',
                    )}`,
                    '_blank',
                )
            } else {
                window.open(
                    `${this.jumpUrl}/screen/Home/index?token=` +
                        localStorage.getItem('token'),
                    '_blank',
                )
            }
        },
    },
}
</script>
